// components/dk-tabs-custom/dk-tabs-custom.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    list:{
      type:Array,
      value:[]
    },
    value:{
      type:String|Number, 
      value:null
    },
    background:{
      type:String,
      value:'#ECF7FF'
    },
    sliderBackground:{
      type:String,
      value:'#9BCBEB'
    },
    textColor:{
      type:String,
      value:'#1B365D'
    },
    sliderTextColor:{
      type:String,
      value:'#fff'
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    index:0
  },

  lifetimes:{
    attached(){
      if(this.properties.value){
        this.setData({
          index:this.properties.list.map(it=>it.id).indexOf(this.properties.value)
        })
      }
    }
  },

  /**
   * 组件的方法列表
   */
  methods: {
    changeIndex(e){
      this.setData({
        index:e.currentTarget.dataset.index,
        value:e.currentTarget.dataset.id
      })
      this.triggerEvent('change',this.data.list[e.currentTarget.dataset.index])
    }
  }
})
